Update aggregate exposures

Saves the transitory aggregate exposure grid in the specified ALM import folder as an artifact that can be imported into the Intelligent Platform.

The aggregate exposure grid is a transitory object returned by the Retrieve Aggregate Exposure operation. This operation transforms that data structure into an artifact that can be imported into the Intelligent Risk Platform using the Create Import Job operation.

The request parameters specifies the insurance type of the aggregate exposure data (PROPERTY or WORKERS_COMP), and defines the geography of the data (countryCode, resolution), and maps columns of the data in uploaded file to properties in the destination aggregate exposures. The delimiter and dataRowStart parameters enables the parser to read the data.

This operation is idempotent: resubmitting a grid for the same country and resolution overwrites the previously saved object.

Path Params
string
required

ID of import folder

Body Params
string
enum
required

Insurance type of uploaded aggregate exposure data. Required to parse data in flat file.

Allowed:
string
required

Two-letter ISO 3166 code of the country of aggregate exposure data.

Must match the country specified in the retrieved aggregate exposure grid.

string
required

Geographic granularity aggregate data in the aggregate exposure grid. Must match the resolution of the retrieved grid.

string | null

Parent resolution of the specified resolution value. For example, State is the parent of County.

string

Source resolution of the uploaded data before conversion.

string

Target resolution of the converted aggregate data.

columnMapping
object

Map of source column position to destination property in the form {"destinationField": "sourceColumn}

lobs
array of strings
required

Ordered list of line of business column headers. Must match the line of business set for the country and insurance type.

lobs*
resolutionValues
array of objects
required

Ordered list of row labels. One entry per row of values; every code must be valid for the country and resolution.

resolutionValues*
values
array of arrays of doubles
required

Grid of aggregate exposure values to save. The number of rows must match the length of resolutionValues and the width of every row must match the length of lobs. Values must be zero or greater; all-zero rows are valid and are persisted.

values*
Responses

Language
Credentials
URL
LoadingLoading…
Response
Choose an example:
application/json